Describes commmon props for components with phone input

### Hierarchy

- IPhoneProps
  - IRegisterFormProps

## Index

### Properties

- initialPhone
- onPhoneChanged
- phoneInputProps

## Properties

### Optional initialPhone

initialPhone: string | undefined

- Defined in types.ts:55

Optional initial value for the phone input

### onPhoneChanged

onPhoneChanged: function

- Defined in types.ts:51

Occurs when the user inputs phone

#### Type declaration

- - (password: string | undefined): void

  - #### Parameters

    - ##### password: string | undefined

    #### Returns void

### Optional phoneInputProps

phoneInputProps: ICrossEditorProps | undefined

- Defined in types.ts:60

Optional props for the phone input. Typically used to change the `label` prop or change the `maskProps`. See {@link ICrossEditorProps}